#______________________________________________________________________________
#Table: 文件夹
#Field: folderName		--文件夹名称
#				folderType		--文件夹类型    1.本地音乐  2.网络收藏   3.新增列表
#______________________________________________________________________________
CREATE TABLE "folders" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"folderName" TEXT,
	"folderType" INTEGER,
	"sortid" INTEGER
);

#INSERT INTO "folders" (folderName,folderType,sortid) values("本地音乐",1,0);
#INSERT INTO "folders" (folderName,folderType,sortid) values("网络收藏",2,2);
#INSERT INTO "folders" (folderName,folderType,sortid) values("最近播放",0,1);

#______________________________________________________________________________
#Table: 文件夹对应音乐表
#Field: musicId		--音乐编号
#				musicId		--音乐编号	（多对多关系）
#______________________________________________________________________________
CREATE TABLE "folderForMusics" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"musicId" INTEGER,
	"folderId" INTEGER,
	"musickey" TEXT
);

----------------------------------------以下提供最新模块的加载----------------------------------------
#______________________________________________________________________________
#Table: 最新音乐表
#Field: name		--音乐名称
#		playurl		--Mp3播放地址
#		time		--播放时间
#		filesize	--文件大小
#		uploadhy	--上传会员
#		downdjbi	--下载所需DJ币
#		tuiJian		--推荐值
#______________________________________________________________________________
CREATE TABLE "new_musics" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"name" TEXT,
	"playurl" TEXT,
	"time" TEXT,
	"filesize" TEXT,
	"uploadhy" TEXT,
	"downdjbi" TEXT,
	"HYhomeID" TEXT,
	"addDate" TEXT,
	"ZZurl" TEXT,
	"tuijian" TEXT,
	"tingCount" TEXT,
	"SQ" TEXT,
	"SQsize" TEXT,
	"DOWNDJBI_SQ" TEXT
);

#______________________________________________________________________________
#Table: 专辑表
#Field: name		--专辑名称
#		zjimg		--专辑图片
#		zjdjcount	--专辑下的音乐数量
#______________________________________________________________________________
CREATE TABLE "zj" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"name" TEXT,
	"zjimg" TEXT,
	"zjdjcount" TEXT
);

----------------------------------------以下提供下载日志表----------------------------------------
#______________________________________________________________________________
#Table: 文件下载日志表
#Field: downpath		--下载路径
#		threadid		--当前线程id
#		downlength   	--文件下载完成度
#______________________________________________________________________________
CREATE TABLE "filedownlog" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"downpath" TEXT,
	"threadid" INTEGER,
	"downlength" INTEGER
);

#______________________________________________________________________________
#Table: 下载音乐文件日志表
#Field: musicid		--音乐id
#		name		--音乐名称
#		playtime	--播放时间
#		filesize   	--文件大小
#		uploadhy   	--上传会员
#		downdjbi   	--下载所需DJ币
#		status   	--下载状态,download代表下载中,finish代表完成
#       upload_url  --下载地址
#       format        --下载格式,dj64k表示
#______________________________________________________________________________
CREATE TABLE "musicdownlog" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
 	"musicid" INTEGER,
	"name" TEXT,
	"playtime" TEXT,
	"filesize" TEXT,
	"uploadhy" TEXT,
	"downdjbi" TEXT,
	"tuijian" TEXT,
	"status" TEXT,
	"upload_url" TEXT,
	"local_url" TEXT,
	"local_folder" TEXT,
	"format" TEXT,
	"Album" TEXT,
	"musickey" TEXT,
    "HYhomeID" TEXT,
    "addDate" TEXT,
    "ZZurl" TEXT,
	"sortkey" NVARCHAR(50),
	"filelength" INTEGER default(0) not null,
	"tingCount" TEXT,
	"SQ" TEXT,
	"SQsize" TEXT,
	"DOWNDJBI_SQ" TEXT
);

CREATE INDEX [musicdownlog_musickey] ON [musicdownlog] ([musickey]);
CREATE INDEX [musicdownlog_sortkey] ON [musicdownlog] ([sortkey]);

#*****接收电脑传过来的文件*****
#---------------*****
CREATE TABLE "receive_log" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT,
 	"musicid" INTEGER,
	"name" TEXT,
	"playtime" TEXT,
	"filesize" TEXT,
	"uploadhy" TEXT,
	"downdjbi" TEXT,
	"tuijian" TEXT,
	"status" TEXT,
	"upload_url" TEXT,
	"local_url" TEXT,
	"local_folder" TEXT,
	"format" TEXT,
	"Album" TEXT,
	"musickey" TEXT,
    "HYhomeID" TEXT,
    "addDate" TEXT,
    "ZZurl" TEXT,
	"sortkey" NVARCHAR(50),
	"filelength" INTEGER default(0) not null,
	"tingCount" TEXT,
	"SQ" TEXT,
	"SQsize" TEXT,
	"DOWNDJBI_SQ" TEXT
);

CREATE INDEX [receive_log_musickey] ON [receive_log] ([musickey]);
CREATE INDEX [receive_log_sortkey] ON [receive_log] ([sortkey]);

#*****结束接收电脑传过来的文件*****
#---------------*****


#*****发送到电脑的文件*****
#---------------*****
CREATE TABLE "send_log" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT,
 	"musicid" INTEGER,
	"name" TEXT,
	"playtime" TEXT,
	"filesize" TEXT,
	"uploadhy" TEXT,
	"downdjbi" TEXT,
	"tuijian" TEXT,
	"status" TEXT,
	"upload_url" TEXT,
	"local_url" TEXT,
	"local_folder" TEXT,
	"format" TEXT,
	"Album" TEXT,
	"musickey" TEXT,
    "HYhomeID" TEXT,
    "addDate" TEXT,
    "ZZurl" TEXT,
	"sortkey" NVARCHAR(50),
	"filelength" INTEGER default(0) not null,
	"tingCount" TEXT,
	"SQ" TEXT,
	"SQsize" TEXT,
	"DOWNDJBI_SQ" TEXT
);

CREATE INDEX [send_log_musickey] ON [send_log] ([musickey]);
CREATE INDEX [send_log_sortkey] ON [send_log] ([sortkey]);

#*****结束发送到电脑的文件*****
#---------------*****




CREATE TABLE "localmusic" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
 	"musicid" INTEGER,
	"name" TEXT,
	"playtime" TEXT,
	"filesize" TEXT,
	"uploadhy" TEXT,
	"downdjbi" TEXT,
	"tuijian" TEXT,
	"status" TEXT,
	"upload_url" TEXT,
	"local_url" TEXT,
	"local_folder" TEXT,
	"format" TEXT,
	"Album" TEXT,
	"musickey" TEXT,
	"HYhomeID" TEXT,
	"addDate" TEXT,
	"ZZurl" TEXT,
	"sortkey" NVARCHAR(50),
	"filelength" INTEGER default(0) not null,
	"tingCount" TEXT,
	"SQ" TEXT,
	"SQsize" TEXT,
	"DOWNDJBI_SQ" TEXT
);

CREATE INDEX [localmusic_musickey] ON [localmusic] ([musickey]);
CREATE INDEX [localmusic_sortkey] ON [localmusic] ([sortkey]);
CREATE INDEX [localmusic_local_url] ON [localmusic] ([local_url]);

CREATE TABLE "recentmusic" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
 	"musicid" INTEGER,
	"name" TEXT,
	"playtime" TEXT,
	"filesize" TEXT,
	"uploadhy" TEXT,
	"downdjbi" TEXT,
	"tuijian" TEXT,
	"status" TEXT,
	"upload_url" TEXT,
	"local_url" TEXT,
	"format" TEXT,
	"Album" TEXT,
	"musickey" TEXT,
	"HYhomeID" TEXT,
	"addDate" TEXT,
	"ZZurl" TEXT,
	"sortkey" NVARCHAR(50),
	"filelength" INTEGER default(0) not null,
	"tingCount" TEXT,
	"SQ" TEXT,
	"SQsize" TEXT,
	"DOWNDJBI_SQ" TEXT
);

CREATE INDEX [recentmusic_musickey] ON [recentmusic] ([musickey]);
CREATE INDEX [recentmusic_sortkey] ON [recentmusic] ([sortkey]);



CREATE TABLE "recentplay_list" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
 	"musicid" INTEGER,
	"name" TEXT,
	"playtime" TEXT,
	"filesize" TEXT,
	"uploadhy" TEXT,
	"downdjbi" TEXT,
	"tuijian" TEXT,
	"status" TEXT,
	"upload_url" TEXT,
	"local_url" TEXT,
	"format" TEXT,
	"Album" TEXT,
	"musickey" TEXT,
	"HYhomeID" TEXT,
	"addDate" TEXT,
	"ZZurl" TEXT,
	"sortkey" NVARCHAR(50),
	"filelength" INTEGER default(0) not null,
	"play_id" INTEGER,
	"tingCount" TEXT,
	"SQ" TEXT,
	"SQsize" TEXT,
	"DOWNDJBI_SQ" TEXT
);

CREATE INDEX [recentplay_list_musickey] ON [recentplay_list] ([musickey]);
CREATE INDEX [recentplay_list_sortkey] ON [recentplay_list] ([sortkey]);


CREATE TABLE "scanfiles" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"musicname" TEXT,
	"musicpath" TEXT
);
CREATE INDEX [scanfiles_musicpath] ON [scanfiles] ([musicpath]);

CREATE TABLE "download_info" (
     "_id" INTEGER PRIMARY KEY AUTOINCREMENT, 
     "thread_id" INTEGER, 
	 "start_pos" INTEGER, 
	 "end_pos" INTEGER, 
	 "compelete_size" INTEGER,
	 "downpath" TEXT,
	 "musickey" TEXT);
CREATE UNIQUE INDEX [keyse] ON [download_info] ([thread_id], [musickey]);

CREATE TABLE "cache_info" (
     "_id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	 "start_pos" INTEGER, 
	 "end_pos" INTEGER, 
	 "musicid" INTEGER,
	 "downpath" TEXT
	 );
CREATE UNIQUE INDEX [cache_info_keyse] ON [cache_info] ([musicid]);

CREATE TABLE "search_history" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"keyword" TEXT
);
CREATE INDEX [search_history_keyword] ON [search_history] ([keyword]);


CREATE TABLE "billboard_cache" (
 	"id" INTEGER, 
	"name" TEXT,
	"title" TEXT,
	"imgico" TEXT,
	"type" TEXT,
	"list1" TEXT,
	"list2" TEXT,
	"list3" TEXT,
	"rowid" INTEGER
);

CREATE TABLE "radio_cache" (
 	"id" TEXT, 
	"name" TEXT,
	"title" TEXT,
	"imgico" TEXT,
	"sccount" TEXT
);

CREATE TABLE "ad_cache" (
 	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"sjADimg" TEXT,
	"sjADlink" TEXT,
	"sjADtype" TEXT
);

CREATE TABLE "newmusic_cache" (
 	"_id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"id" INTEGER,
	"type" TEXT,
	"NAME" TEXT,
	"PLAYURL" TEXT,
	"TIME" TEXT,
	"FILESIZE" TEXT,
	"UPLOADHY" TEXT,
	"DOWNDJBI" TEXT,
	"tuiJian" TEXT,
	"addDate" TEXT,
	"ZZurl" TEXT,
	"HYhomeID" TEXT,
	"tingCount" TEXT,
	"SQ" TEXT,
	"SQsize" TEXT,
	"DOWNDJBI_SQ" TEXT
);

CREATE TABLE "jingxuan_cache" (
 	"_id" INTEGER PRIMARY KEY AUTOINCREMENT, 
 	"id" INTEGER,
	"NAME" TEXT,
	"ZJimg" TEXT,
	"SCcount" TEXT
);


CREATE TABLE "dujia_cache" (
 	"_id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"id" INTEGER,
	"pagecount" INTEGER,
	"type" TEXT,
	"NAME" TEXT,
	"PLAYURL" TEXT,
	"TIME" TEXT,
	"FILESIZE" TEXT,
	"UPLOADHY" TEXT,
	"DOWNDJBI" TEXT,
	"tuiJian" TEXT,
	"addDate" TEXT,
	"ZZurl" TEXT,
	"HYhomeID" TEXT,
	"tingCount" TEXT,
	"SQ" TEXT,
	"SQsize" TEXT,
	"DOWNDJBI_SQ" TEXT
);


CREATE TABLE "dancemusic_cache" (
 	"_id" INTEGER PRIMARY KEY AUTOINCREMENT, 
 	"id" INTEGER,
 	"pagecount" INTEGER,
	"NAME" TEXT,
	"ZJimg" TEXT,
	"SCcount" TEXT
);

CREATE TABLE "author_cache" (
 	"_id" INTEGER PRIMARY KEY AUTOINCREMENT, 
 	"id" INTEGER,
 	"pagecount" INTEGER,
	"NAME" TEXT,
	"MusicNAME" TEXT,
	"ZJimg" TEXT,
	"zhuoZheID" TEXT,
	"SCcount" TEXT,
	"hyid" TEXT
);


CREATE TABLE "themes" (
 	"_id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"ThemeColor" TEXT,
	"ThemeSelected" INTEGER
);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("ac3406",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("dd1f23",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("e2393f",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("e75e63",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("e68885",0);

#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("7c1d90",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("b22883",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("d936a5",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("df67cb",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("de91d0",0);

#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("7a583c",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("a76536",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("d96e20",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("f4931f",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("eeb758",0);

#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("653229",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("9f4b23",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("ce5f01",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("f16e00",1);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("f09041",0);

#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("125724",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("1d7c33",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("018ae2",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("22aab4",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("5bb8e6",0);

#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("4a2b54",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("6a3b7c",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("894e9c",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("98689f",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("c18db8",0);

#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("3b3734",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("4e4b4a",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("716f6e",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("949393",0);
#INSERT INTO "themes" (ThemeColor,ThemeSelected) values("c1c0bf",0);


CREATE TABLE "skins" (
 	"_id" INTEGER PRIMARY KEY AUTOINCREMENT, 
 	"id" INTEGER,
	"SkinImg" TEXT,
	"SkinType" TEXT,
	"SkinSelected" INTEGER
);
#INSERT INTO "skins" (id,SkinImg,SkinType,SkinSelected) values(1,"1","system",0);
#INSERT INTO "skins" (id,SkinImg,SkinType,SkinSelected) values(2,"2","system",0);
#INSERT INTO "skins" (id,SkinImg,SkinType,SkinSelected) values(3,"3","system",0);
#INSERT INTO "skins" (id,SkinImg,SkinType,SkinSelected) values(4,"4","system",1);

CREATE TABLE "skin_cache" (
 	"_id" INTEGER PRIMARY KEY AUTOINCREMENT, 
 	"id" INTEGER,
	"SkinImg" TEXT,
	"SkinType" TEXT,
	"SkinDownloaded" INTEGER
);

CREATE TABLE "cache_updatedate" (
	"skin_cache_date" TEXT,
	"mymusic_cache_date" TEXT,
	"dujiamusic_cache_date" TEXT,
	"authormusic_cache_date" TEXT,
	"gedanmusic_cache_date" TEXT,
	"billboardmusic_cache_date" TEXT,
	"radiomusic_cache_date" TEXT
);
#INSERT INTO "cache_updatedate" (skin_cache_date,mymusic_cache_date,dujiamusic_cache_date,authormusic_cache_date,gedanmusic_cache_date,billboardmusic_cache_date,radiomusic_cache_date) values("","","","","","","");


CREATE TABLE "user_cache" (
 	"_id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"account" TEXT,
	"password" TEXT,
	"lastlogon" TEXT
);

CREATE TABLE "using_days" (
   	"_id" INTEGER PRIMARY KEY AUTOINCREMENT,
   	"days" INTEGER,
  	"datex" TEXT
);

#INSERT INTO "using_days" (days,datex) values(0,"");

CREATE TABLE "song_weeks" (
   	"_id" INTEGER PRIMARY KEY AUTOINCREMENT,
   	"musicid" TEXT,
  	"datex" TEXT
);

CREATE TABLE "song_days" (
   	"_id" INTEGER PRIMARY KEY AUTOINCREMENT,
   	"musicid" TEXT,
  	"datex" TEXT,
  	"mins" INTEGER
);

CREATE INDEX [song_days_musicid] ON [song_days] ([musicid]);
CREATE INDEX [song_days_datex] ON [song_days] ([datex]);

CREATE TABLE "eq_info" (
     "_id" INTEGER PRIMARY KEY AUTOINCREMENT, 
     "name" TEXT,
	 "volumn" INTEGER, 
	 "eq1" INTEGER, 
	 "eq2" INTEGER,
	 "eq3" INTEGER,
	 "eq4" INTEGER,
	 "eq5" INTEGER,
	 "eq6" INTEGER,
	 "eq7" INTEGER,
	 "eq8" INTEGER,
	 "bass" INTEGER,
	 "surround" INTEGER,
	 "is_system_eq" INTEGER
	 );
CREATE UNIQUE INDEX [eq_info_name] ON [eq_info] ([name]);

#INSERT INTO "eq_info" (name,volumn,eq1,eq2,eq3,eq4,eq5,eq6,eq7,eq8,bass,surround,is_system_eq) values("舞曲",15,2700,1500,1900,2300,1700,0,0,1,1,1,1);
#INSERT INTO "eq_info" (name,volumn,eq1,eq2,eq3,eq4,eq5,eq6,eq7,eq8,bass,surround,is_system_eq) values("古典",15,2500,2100,1100,2300,2300,0,0,2,1,1,1);
#INSERT INTO "eq_info" (name,volumn,eq1,eq2,eq3,eq4,eq5,eq6,eq7,eq8,bass,surround,is_system_eq) values("重金属",15,2300,1700,3000,2100,0,0,0,3,1,1,1);
#INSERT INTO "eq_info" (name,volumn,eq1,eq2,eq3,eq4,eq5,eq6,eq7,eq8,bass,surround,is_system_eq) values("嘻哈",15,2500,2100,1500,1700,2100,0,0,4,1,1,1);
#INSERT INTO "eq_info" (name,volumn,eq1,eq2,eq3,eq4,eq5,eq6,eq7,eq8,bass,surround,is_system_eq) values("爵士",15,2300,1900,1100,1900,2500,0,0,5,1,1,1);
#INSERT INTO "eq_info" (name,volumn,eq1,eq2,eq3,eq4,eq5,eq6,eq7,eq8,bass,surround,is_system_eq) values("流行",15,1400,1900,2500,1700,1100,0,0,6,1,1,1);
#INSERT INTO "eq_info" (name,volumn,eq1,eq2,eq3,eq4,eq5,eq6,eq7,eq8,bass,surround,is_system_eq) values("摇滚",15,2500,2100,1300,2100,2500,0,0,7,1,1,1);
#INSERT INTO "eq_info" (name,volumn,eq1,eq2,eq3,eq4,eq5,eq6,eq7,eq8,bass,surround,is_system_eq) values("拉丁",15,2700,1900,900,1700,2900,0,0,8,1,1,1);
#INSERT INTO "eq_info" (name,volumn,eq1,eq2,eq3,eq4,eq5,eq6,eq7,eq8,bass,surround,is_system_eq) values("民谣",15,2100,1500,1500,1900,1300,0,0,9,1,1,1);
#INSERT INTO "eq_info" (name,volumn,eq1,eq2,eq3,eq4,eq5,eq6,eq7,eq8,bass,surround,is_system_eq) values("重置",15,1500,1500,1500,1500,1500,0,0,10,1,1,1);
